Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class RowInconsistentException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--oracle.jbo.JboException
                              |
                              +--oracle.jbo.RowInconsistentException

public class RowInconsistentException
extends JboException

Thrown if inconsist data is detected when locking a row. When an application causes a row to be locked the framework retrieves its data from the database table and checks if it is consistent with the data currently in cache. If it is not, this exception is thrown.

Row consistency can be determined in two ways. First, the application can designate a "change indicator" in the attribte's definition. This is a special attribute, such as a timestamp, which the framework considers a indicator of the status of the rest of the row's data. Alternatively, all the the row's values from the database are compared with the cached values.

Note that even if this exception is thrown, the row will stay locked until the end of transaction.

Since:
  JDeveloper 3.0
See Also:
  Serialized Form

Constructor Summary
`RowInconsistentException(Key key)`

Method Summary
`Key` | `getKey()` Returns the key of the offending row.

Methods inherited from class oracle.jbo.JboException
`addToDetails, getBaseMessage, getDetailMessage, getDetails, getErrorCode, getErrorParameters, getJboExceptionHelper, getLocalizedBaseMessage, getLocalizedMessage, getMessage, getProductCode, getResourceClass, getResourceName, getTypeNameFromId, isLocalizable, printStackTrace, printStackTrace, printStackTrace, setApplicationModule, setDetails, setErrorParameters`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RowInconsistentException

    public RowInconsistentException(Key key)

Method Detail

### getKey

    public Key getKey()

  Returns the key of the offending row.
  Returns:
    the key.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD